SHOW PDBS;
PROMPT
PROMPT specify PDB to create teblespaces:
PROMPT
ALTER SESSION SET CONTAINER = &Container;

CREATE TABLESPACE FRAUD_TABLES
    LOGGING DATAFILE '+DATA'
    SIZE 200M
    AUTOEXTEND ON NEXT 150M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

CREATE TABLESPACE FRAUD_IDX
    LOGGING DATAFILE '+DATA'
    SIZE 200M
    AUTOEXTEND ON NEXT 150M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

CREATE TABLESPACE FRAUD_TRANSACTIONS
    LOGGING DATAFILE '+DATA'
    SIZE 200M
    AUTOEXTEND ON NEXT 150M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

CREATE TABLESPACE OTHERS
    LOGGING DATAFILE '+DATA'
    SIZE 200M
    AUTOEXTEND ON NEXT 150M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

CREATE TABLESPACE FRAUDM_LIMIT
    LOGGING DATAFILE '+DATA'
    SIZE 200M
    AUTOEXTEND ON NEXT 150M
    MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO
    ENCRYPTION USING 'AES256'
    DEFAULT STORAGE(ENCRYPT);

